<?php

namespace Drupal\pf_alerta\Plugin\SaneRecipientSelection;

use Drupal\push_framework\Plugin\SaneRecipientSelection\DirectPush;

/**
 * Plugin implementation of the sane.
 *
 * @SaneRecipientSelection(
 *   id = "alerta",
 *   label = @Translation("Alerta"),
 *   description = @Translation("Marks notifications to be sent to alerta only.")
 * )
 */
class Alerta extends DirectPush {

  /**
   * {@inheritdoc}
   */
  protected function directPushChannelId(): string {
    return 'alerta';
  }

}
